Bug 1430742 - [RFE] Missing search filter based on usergroups in Hosts
Summary: [RFE] Missing search filter based on usergroups in Hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.2.7
Hardware: x86_64
OS: Linux
low
low vote
Target Milestone: 6.4.0
Assignee: Dominik Hlavac Duran
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-09 13:20 UTC by Marcel Gazdík
Modified: 2019-11-05 23:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:07 UTC
Foreman Issue Tracker 18854 None None None 2017-03-09 13:35:58 UTC

Description Marcel Gazdík 2017-03-09 13:20:44 UTC
Description of problem:
  The host page has possibility to filter hosts based on multiple keys. One of them is user.* which is filtering the hosts based on their owner, however, the owner can't be only user, but also usergroup. Therefore the usergroup filter should be implemented as well.

Version-Release number of selected component (if applicable):
6.2.x

How reproducible:
On satellite, try to use search and find hosts based on their respective usergroup.

Actual results:
  Usergroup filtering is missing.

Expected results:
  Usergroup filter will be added.

Comment 3 Marek Hulan 2017-03-09 13:35:56 UTC
Created redmine issue http://projects.theforeman.org/issues/18854 from this bug

Comment 6 pm-sat@redhat.com 2018-03-13 14:06:45 UTC
Upstream bug assigned to dhlavacd@redhat.com

Comment 7 pm-sat@redhat.com 2018-03-13 14:06:49 UTC
Upstream bug assigned to dhlavacd@redhat.com

Comment 8 pm-sat@redhat.com 2018-03-19 14:06:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18854 has been resolved.

Comment 9 Martin Korbel 2018-06-08 13:04:12 UTC
Verified on Sat6.4 snap 6.

Comment 12 errata-xmlrpc 2018-10-16 15:27:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.